Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository
Class BadlyFormattedFlowExecutionKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.BadlyFormattedFlowExecutionKeyException

All Implemented Interfaces:
  java.io.Serializable

    public class BadlyFormattedFlowExecutionKeyException

extends FlowExecutionRepositoryException

Thrown when an encoded flow execution key is badly formatted and could not be parsed.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`BadlyFormattedFlowExecutionKeyException(java.lang.String invalidKey, java.lang.String format)` Creates a bad execution key format exception.
`BadlyFormattedFlowExecutionKeyException(java.lang.String invalidKey, java.lang.String format, java.lang.Throwable cause)` Creates a bad execution key format exception.

Method Summary
`java.lang.String` | `getFormat()` Returns the format the key should have been in.
`java.lang.String` | `getInvalidKey()` Returns the string key of the flow execution that could not be parsed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadlyFormattedFlowExecutionKeyException

    public BadlyFormattedFlowExecutionKeyException(java.lang.String invalidKey,
                                                   java.lang.String format)

  Creates a bad execution key format exception.

  Parameters:
    `invalidKey` - the invalid key
    `format` - the format the key should have been in

### BadlyFormattedFlowExecutionKeyException

    public BadlyFormattedFlowExecutionKeyException(java.lang.String invalidKey,
                                                   java.lang.String format,
                                                   java.lang.Throwable cause)

  Creates a bad execution key format exception.

  Parameters:
    `invalidKey` - the invalid key
    `format` - the format the key should have been in
    `cause` - the cause

Method Detail

### getInvalidKey

    public java.lang.String getInvalidKey()

  Returns the string key of the flow execution that could not be parsed.

### getFormat

    public java.lang.String getFormat()

  Returns the format the key should have been in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD